Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 22 May 2019, 21:15
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff)
Fatdog64 Contributed Packages and SFS
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 21 [310 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 19, 20, 21 Next
Author Message
step

Joined: 04 May 2012
Posts: 1176

PostPosted: Mon 13 Apr 2015, 14:33    Post subject: Re: SMPlayer and SMTube  

WillM wrote:
This is SMPlayer and SMTube for Fatdog64-700. They require mplayer-static from the Fatdog repository. libQtScript is the only Qt4 library needed by SMPlayer that is not already installed in Fatdog. That can be found in this same directory as SMPlayer.
https://drive.google.com/folderview?id=0B4wlewvEGCtKfkk5cks0ajZtb1h2TC0xMUtKM2hoa1gzNkM2MXltVEpqYlM1Q2J2cnVjRnc&usp=sharing

Thank you! All four components packaged as a single SFS:
sfs: smplayer-1.4.9.0.6824-x86_64-sfs.sfs 12.7 MB https://mega.nz/#!nklGkazb!Vlh9KJnx_V1BmymmgRVlWo5e2pJyLYEKiA0OXEQbg0k
md5: smplayer-1.4.9.0.6824-x86_64-sfs.sfs-md5.txt 94 B https://mega.nz/#!C5VRwCCQ!dRWOcAeL7G3a2uOywG5mKRe_OHy-5MX2X_fAB7IHQA0

(Sorry for the text links but apparently the forum software doesn't like URLs with bang characters in them.)

This smplayer seems to be compiled with debug messages turned on. It and smtube are working well on my fatdog64-700. Yesterday I was testing the same software on the same PC running ElementaryOS and it was rubbish by comparison with FD.

_________________
Fatdog64-801|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 1176

PostPosted: Wed 15 Apr 2015, 05:48    Post subject:  

master-pdf-editor and pdf-edit dotpets that also work for FD64-700.
forum link: http://www.murga-linux.com/puppy/viewtopic.php?p=840368#840368

_________________
Fatdog64-801|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 1176

PostPosted: Wed 06 May 2015, 08:16    Post subject:  

xdotool 20140805 latest git version, and required dependency libxkbcommon 0.5.0. Install from Fatdog64 package manager or download from contrib section of Fatdog64 repo or one of its mirrors.
xdotool lets you simulate keyboard input and mouse activity, move and resize windows, etc.

_________________
Fatdog64-801|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 1176

PostPosted: Sat 09 May 2015, 16:22    Post subject: new package: Rxvt Unicode 9.19 Devx version  

Rxvt Unicode 9.19 Devx version. Install from Fatdog64 package manager (update and search for 'gslapt') or download directly from ibiblio contrib repo or one of its mirrors.
This package is the Fatdog64 default urxvt terminal recompiled with perl extension support. It is installed in /usr/local, so it can coexist with the default urxvt. It makes more sense to install this package if you keep the Fatdog 700 devx sfs loaded all the time. Because if you don't, and you install this package from the package manager, it will download 64MB of data, 63.5 of which are dependencies. Instead the devx sfs already includes all dependencies. Perl version 5.18.2 is required, other versions won't work.
Perl extension support is nice to have. I have added an extra 'font size resizer' extension that I found on GitHub. It gets automatically configured in ~/Xdefaults. Then you can run /usr/local/bin/urxvt and press Ctrl+Up/Down to enlarge/shrink the font size. The installer also enables some stock extensions, most notably:
- Shift+Alt+s search the scroll buffer (move with Up/Down arrow, exit with Esc)
- Ctrl+middle-mouse display option menu
- Ctrl+right-mouse display conversion menu
- URLs are underlined and clickable (start defaultbrowser)
- run /usr/local/bin/urxvt -pe tabbed for a tabbed terminal
You can run more extensions with the same mechanism (-pe ext-name), run 'man urxvtperl' for more info.
Most often I run the client version of urxvt - urxvtc. For it to work you need to start the daemon - urxvtd, which I do with a script in my ~/Startup folder.

_________________
Fatdog64-801|+Packages|Kodi|Findnrun|+forum|gtkmenuplus

Last edited by step on Sun 17 Apr 2016, 17:12; edited 1 time in total
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 1176

PostPosted: Tue 19 May 2015, 10:26    Post subject: Re: new packages: ctags 5.8 and 5.9~svn  

exuberant ctags 5.8 and 5.9~svn20110310. Programming utilities. Install from Fatdog64 package manager (update and search for 'ctags') or download this or this directly from ibiblio contrib repo or one of its mirrors. If you use vim, ctags' for you; xolox's easytags vim plugin recommended.
_________________
Fatdog64-801|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 1176

PostPosted: Mon 25 May 2015, 01:54    Post subject: Android rooting package
Subject description: link to
 

Android rooting package http://www.murga-linux.com/puppy/viewtopic.php?p=847491#847491
_________________
Fatdog64-801|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
Semme


Joined: 07 Aug 2011
Posts: 8010
Location: World_Hub

PostPosted: Sat 30 May 2015, 11:49    Post subject:
Subject description: Opera SFS / md5 = ace54d09fbc35eca635d3699c7505f37
 

Latest developer build, v31.0.1876.0 >> http://www.datafilehost.com/d/ae40601c

Since I've loaded on top of previous settings, post if you encounter anomalies.

Oh, and, anyone requiring the latest libpepperflash plugin.. just ask.
latest_op-dev.jpg
 Description   
 Filesize   13.85 KB
 Viewed   1424 Time(s)

latest_op-dev.jpg

latest_lpfp.jpg
 Description   
 Filesize   19.08 KB
 Viewed   1437 Time(s)

latest_lpfp.jpg


_________________
>>> Living with the immediacy of death helps you sort out your priorities. It helps you live a life less trivial <<<
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 1176

PostPosted: Sun 31 May 2015, 03:17    Post subject:
Subject description: opera/libpepperflash
 

Thanks Semme, I'm still running my own opera 29 SFS. I will test yours as time permits. I think I need pepperflash, too, please.
_________________
Fatdog64-801|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
Semme


Joined: 07 Aug 2011
Posts: 8010
Location: World_Hub

PostPosted: Sun 31 May 2015, 10:15    Post subject:  

Link sent. As for how, all I did was yank it out of the latest Chrome.
_________________
>>> Living with the immediacy of death helps you sort out your priorities. It helps you live a life less trivial <<<
Back to top
View user's profile Send private message 
Wognath

Joined: 19 Apr 2009
Posts: 407

PostPosted: Wed 03 Jun 2015, 15:21    Post subject: bcrypt  

bcrypt with file overwrite function fixed by jafadmin http://www.murga-linux.com/puppy/viewtopic.php?t=98228
afo is already in the repo.
bcrypt-1.1-x86_64-0.txz.tar
Description 
tar

 Download 
Filename  bcrypt-1.1-x86_64-0.txz.tar 
Filesize  20 KB 
Downloaded  353 Time(s) 
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 1176

PostPosted: Thu 04 Jun 2015, 07:21    Post subject:
Subject description: opera/libpepperflash
 

@Semme, I couldn't get this opera-developer SFS to start. I will stick to opera-beta for the time being, as I don't have the time to investigate in detail, though I still have something to report.

The reason it doesn't start here is that opera-developer can't find libnotify.so.4. I tried symlinking libnotify.so but then opera aborts.
Code:

# ls -l /usr/lib64/libnotify.*
-rwxr-xr-x 1 root root  1792 Oct 18  2014 /usr/lib64/libnotify.la
lrwxrwxrwx 1 root root    18 Apr 22 20:01 /usr/lib64/libnotify.so -> libnotify.so.1.3.0
lrwxrwxrwx 1 root root    18 Apr 22 20:01 /usr/lib64/libnotify.so.1 -> libnotify.so.1.3.0
-rwxr-xr-x 1 root root 34544 Oct 18  2014 /usr/lib64/libnotify.so.1.3.0

# (cd /usr/lib64 && ln -s libnotify.so libnotify.so.4)
run-as-spot opera-developer --private
Aborted


edit: got it working, symlinking was enough. I had to fix an unrelated directory permission problem.

On another note, I looked inside the SFS you provided and noticed a symlink libudev.so.0. Did you need to add it? Why so? On my FD64 libudev.so is located in /usr/lib64
Code:

# ls -l opera-developer-31.0.1876.0/usr/lib
total 0
lrwxrwxrwx 1 root root 10 May 30 11:59 libudev.so.0 -> libudev.so
drwxr-xr-x 3 root root 60 May 26 00:54 x86_64-linux-gnu

# ls -l /usr/lib*/libudev* /aufs/pup_ro/usr/lib*/libudev*
lrwxrwxrwx 1 root root 28 Apr 22 20:01 /aufs/pup_ro/usr/lib64/libudev.so -> ../../lib64/libudev.so.1.3.2
lrwxrwxrwx 1 root root 28 Apr 22 20:01 /usr/lib64/libudev.so -> ../../lib64/libudev.so.1.3.2


Like I said, I will stick to opera-beta due to lack of my time. Thanks for posting your SFS and for the libpepperflash plugin.

_________________
Fatdog64-801|+Packages|Kodi|Findnrun|+forum|gtkmenuplus

Last edited by step on Sat 05 Sep 2015, 03:04; edited 2 times in total
Back to top
View user's profile Send private message 
Semme


Joined: 07 Aug 2011
Posts: 8010
Location: World_Hub

PostPosted: Thu 04 Jun 2015, 07:30    Post subject:  

Not on that system now but recall installing libnotify from PPM. I'll follow-up later on..

Yeah, use pacman to install libnotify.. Then libnotify.so.4 points to /usr/lib64/libnotify.so.1.3.0.

As for libudev, it's not called by ldd when running a dep check.

_________________
>>> Living with the immediacy of death helps you sort out your priorities. It helps you live a life less trivial <<<
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 1176

PostPosted: Sat 06 Jun 2015, 12:33    Post subject: Fatdog64 wallpaper setter updates  

Nathan's Wallpaper Setter v0.7.0 could become a package update for Fatdog64.
_________________
Fatdog64-801|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 1176

PostPosted: Sat 06 Jun 2015, 12:45    Post subject:  

Semme wrote:
Not on that system now but recall installing libnotify from PPM. I'll follow-up later on..

Yeah, use pacman to install libnotify.. Then libnotify.so.4 points to /usr/lib64/libnotify.so.1.3.0.

As for libudev, it's not called by ldd when running a dep check.

But I already have libnotify-0.5.2-x86_64-1 installed from gslapt. There is not libnotify.so.4 in it. Did you really mean pacman? I don't have pacman installed on my Fatdog701...

_________________
Fatdog64-801|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
Semme


Joined: 07 Aug 2011
Posts: 8010
Location: World_Hub

PostPosted: Sat 06 Jun 2015, 21:10    Post subject:  

Wink Pacman. As for our lib, this should do it:
Code:
ln -s /usr/lib64/libnotify.so.1.3.0 /usr/lib64/libnotify.so.4

_________________
>>> Living with the immediacy of death helps you sort out your priorities. It helps you live a life less trivial <<<
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 21 [310 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 19, 20, 21 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1860s ][ Queries: 13 (0.1262s) ][ GZIP on ]